List integrations
GET
/api/v1/integrations
const url = 'https://example.com/%7B%7Bapp_url%7D/api/v1/integrations?type=export';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://example.com/%7B%7Bapp_url%7D/api/v1/integrations?type=export' \ --header 'Authorization: Bearer <token>'Lists the integrations (ESPs, CDNs and localization providers) that connectors can be created for, with each integration’s capabilities. Match a connector’s integration_name to an integration’s name to find out what that connector supports.
Authorizations
Section titled “Authorizations”Parameters
Section titled “ Parameters ”Query Parameters
Section titled “Query Parameters”type
string
Type
Responses
Section titled “ Responses ”Successful
Media typeapplication/json
object
results
required
Array<object>
object
type
string
name
required
string
label
required
string
oauth_redirect
boolean | null
logo_path
required
string
setup_fields
required
Array
One of:
object
name
required
string
label
required
string
hint_html
string
required
required
boolean
type
required
string
object
name
required
string
label
required
string
hint_html
string
required
required
boolean
type
required
string
object
name
required
string
label
required
string
hint_html
string
required
required
boolean
type
required
string
options
required
Array<object>
object
label
string
value
string
export_fields
Array
One of:
object
name
required
string
label
required
string
hint_html
string
required
required
boolean
type
required
string
object
name
required
string
label
required
string
hint_html
string
required
required
boolean
type
required
string
object
name
required
string
label
required
string
hint_html
string
required
required
boolean
type
required
string
options
required
Array<object>
object
label
string
value
string
resource_name
required
string
folder_support
boolean
campaign_selection_required
boolean
uses_oauth
boolean
supports_image_hosting
boolean
published
required
boolean
Example
{ "results": [ { "type": "export", "name": "mailchimp", "label": "Mailchimp", "oauth_redirect": true, "logo_path": "/integration_logos/mailchimp.svg", "setup_fields": [ { "name": "api_key", "label": "API Key", "hint_html": "Enter your API Key", "required": true, "type": "text" } ], "export_fields": [ { "name": "api_key", "label": "API Key", "hint_html": "Enter your API Key", "required": true, "type": "text" } ], "resource_name": "Design", "folder_support": true, "campaign_selection_required": true, "uses_oauth": true, "supports_image_hosting": true, "supports_selecting_existing_resource": { "supports_search": true }, "published": true } ]}